cpw.mods.fml.client.modloader

## Class ModLoaderClientHelper

- java.lang.Object
- - cpw.mods.fml.client.modloader.ModLoaderClientHelper

- All Implemented Interfaces:
    IModLoaderSidedHelper

      public class ModLoaderClientHelper
      extends Object
      implements IModLoaderSidedHelper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModLoaderClientHelper(Minecraft client)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `clientConnectionClosed(INetworkManager manager, BaseModProxy mod)`
    `void` | `clientConnectionOpened(NetHandler netClientHandler, INetworkManager manager, BaseModProxy mod)`
    `void` | `finishModLoading(ModLoaderModContainer mc)`
    `Object` | `getClientGui(BaseModProxy mod, EntityPlayer player, int ID, int x, int y, int z)`
    `static void` | `handleFinishLoadingFor(ModLoaderModContainer mc, Minecraft game)`
    `static int` | `obtainBlockModelIdFor(BaseMod mod, boolean inventoryRenderer)`
    `static void` | `registerKeyBinding(BaseModProxy mod, KeyBinding keyHandler, boolean allowRepeat)`
    `void` | `sendClientPacket(BaseModProxy mod, Packet250CustomPayload packet)`
    `Entity` | `spawnEntity(BaseModProxy mod, EntitySpawnPacket input, EntityRegistry.EntityRegistration er)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModLoaderClientHelper

          public ModLoaderClientHelper(Minecraft client)

  - ### Method Detail

    - #### obtainBlockModelIdFor

          public static int obtainBlockModelIdFor(BaseMod mod,
                                  boolean inventoryRenderer)

    - #### handleFinishLoadingFor

          public static void handleFinishLoadingFor(ModLoaderModContainer mc,
                                    Minecraft game)

    - #### finishModLoading

          public void finishModLoading(ModLoaderModContainer mc)

      Specified by:
        `finishModLoading` in interface `IModLoaderSidedHelper`

    - #### registerKeyBinding

          public static void registerKeyBinding(BaseModProxy mod,
                                KeyBinding keyHandler,
                                boolean allowRepeat)

    - #### getClientGui

          public Object getClientGui(BaseModProxy mod,
                            EntityPlayer player,
                            int ID,
                            int x,
                            int y,
                            int z)

      Specified by:
        `getClientGui` in interface `IModLoaderSidedHelper`

    - #### spawnEntity

          public Entity spawnEntity(BaseModProxy mod,
                           EntitySpawnPacket input,
                           EntityRegistry.EntityRegistration er)

      Specified by:
        `spawnEntity` in interface `IModLoaderSidedHelper`

    - #### sendClientPacket

          public void sendClientPacket(BaseModProxy mod,
                              Packet250CustomPayload packet)

      Specified by:
        `sendClientPacket` in interface `IModLoaderSidedHelper`

    - #### clientConnectionOpened

          public void clientConnectionOpened(NetHandler netClientHandler,
                                    INetworkManager manager,
                                    BaseModProxy mod)

      Specified by:
        `clientConnectionOpened` in interface `IModLoaderSidedHelper`

    - #### clientConnectionClosed

          public boolean clientConnectionClosed(INetworkManager manager,
                                       BaseModProxy mod)

      Specified by:
        `clientConnectionClosed` in interface `IModLoaderSidedHelper`